<div class="post-create">
  <form novalidate="" [formGroup]="form" (ngSubmit)="onAddPost(form)">
    <div class="title">
      <!-- <i class="fa fa-caret-left icon"></i> -->
      <div class="text">Upload</div>
      <!-- <i class="fa fa-caret-right icon"></i> -->
    </div>
    <div class="upload-file">
      <div class="border-top-left" [ngClass]="imageUrls.length > 0 || videoUrls.length > 0 ? 'hide' : ''"></div>
      <div class="border-bottom-right" [ngClass]="imageUrls.length > 0 || videoUrls.length > 0 ? 'hide' : ''"></div>
      <label class="upload-button primary button" [ngClass]="selectedFile ? 'hide' : ''">
        Choose Images and/or Videos
        <input type="file" multiple (change)="onSelectFile($event)" accept="image/*, video/*" />
      </label>
      <!-- <div class="left-arrow"><i class="fa fa-caret-left"></i></div>
      <div class="right-arrow"><i class="fa fa-caret-right"></i></div>
      <div class="image-container">
        <img *ngFor="let url of imageUrls" class="active" [src]="url" />
        <video *ngFor="let url of videoUrls" [src]="url" controls></video>
      </div> -->
      <ngb-carousel
        [showNavigationArrows]="imageUrls.length > 1 || videoUrls.length > 1"
        [showNavigationIndicators]="false"
        interval="0"
      >
        <ng-template ngbSlide *ngFor="let url of imageUrls">
          <img class="active" [src]="url" />
        </ng-template>
        <ng-template ngbSlide *ngFor="let url of videoUrls">
          <video class="active" [src]="url" controls></video>
        </ng-template>
      </ngb-carousel>
    </div>

    <div class="caption">
      <textarea formControlName="caption" class="caption-textarea" rows="1" placeholder="Caption" #caption></textarea>
      <button type="submit" class="create-post primary button" [disabled]="!getSubmitButton()">
        Post it!
      </button>
    </div>
  </form>
</div>
